List CVE signatures (paginated)
GET
/cve/signaturesContract
Parameter | Value |
|---|---|
| Section | cve |
| Authentication | CookieAuth |
| Consumes | not required |
| Produces | application/json |
Parameters
15 parameters
Name | Location | Required | Type | Description |
|---|---|---|---|---|
| input | query | no | string | Search string |
| count | query | yes | integer | Page size |
| page | query | yes | integer | Page number, starting at 1 |
| key | query | yes | string | Sort field |
| order | query | yes | enum(asc, desc) | Sort direction |
| protocols | query | no | string | Filter by protocol |
| attack_vectors | query | no | string | Filter by attack vector |
| affected_products | query | no | string | Filter by affected products |
| severities | query | no | string | Filter by severity |
| connection_types | query | no | string | Filter by connection type |
| ptvr_tiers | query | no | string | Filter by PTVR level |
| cvss_min | query | no | number | Minimum CVSS score |
| cvss_max | query | no | number | Maximum CVSS score |
| year_from | query | no | integer | Minimum year, inclusive |
| year_to | query | no | integer | Maximum year, inclusive |
"asc"
Responses
3 responses
Status | Description | Type |
|---|---|---|
200 | Successful response | object |
401 | Unauthorized | object |
500 | Internal server error | object |
{ "cursor": { "count": 0, "currentPage": 0, "totalPages": 0, "totalRows": 0 }, "data": [ { "affectedProducts": "<string>", "attackVector": "<string>", "connectionType": "<string>", "connectionTypeRationale": "<string>", "createdAt": "<string>", "cveId": "<string>", "cvssScore": 0, "cvssVector": "<string>", "cweId": "<string>", "description": "<string>", "falsePositiveVariantCount": 0, "file": { "category": "<string>", "createdAt": "<string>", "first_seen_at": "<string>", "id": 0, "issuer": { "agreementAccepted": true, "createdAt": "<string>", "deletedAt": "<string>", "email": "<string>", "group": {}, "groupID": 0, "id": 0, "isActive": true, "isRequiredToSetPassword": true, "lastLogin": "<string>", "notificationsReadAt": "<string>", "passwordLength": 0, "realName": "<string>", "updatedAt": "<string>" }, "issuerID": 0, "md5": "<string>", "mime": "<string>", "name": "<string>", "original_sha256": "<string>", "sha1": "<string>", "sha256": "<string>", "sha3_384": "<string>", "size": 0, "source": "<string>", "syncReady": true, "tags": "<string>", "updatedAt": "<string>" }, "fileId": 0, "hasFalsePositive": true, "id": 0, "name": "<string>", "prerequisites": [ "<string>" ], "protocol": "<string>", "ptvr": true, "ptvrTier": "<string>", "severity": "<string>", "stepCount": 0, "stepsDescription": "<string>", "trafficSequence": "<string>", "updatedAt": "<string>", "variantCount": 0 } ] }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }